<div id="body" class="container-fluid">
  <h6>Vendor Management Administration</h6>
  <dx-data-grid #vendorGrid id="vendorGrid" [dataSource]="vendorItems" keyExpr="vndrCd" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                (onSelectionChanged)="vendorSelectionChangedHandler($event)"
                (onEditingStart)="loadVendorEditForm($event)" (onInitNewRow)="onVendorNewRow($event)"
                (onRowInserting)="saveVendorForm($event)" (onRowUpdating)="saveVendorForm($event)"
                (onContentReady)="vendorGrid.instance.searchByText(vendorGrid.searchPanel.text.trim())"
                (onToolbarPreparing)="onVendorToolbarPreparing($event)">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxo-editing mode="form" [useIcons]="true" [allowUpdating]="allowUpdating" [allowAdding]="true">
      <dxo-form>
        <dxi-item dataField="vndrCd" [colSpan]="1"></dxi-item>
        <dxi-item dataField="vndrNme" [colSpan]="1"></dxi-item>
        <dxi-item dataField="ctryCd" [colSpan]="1"></dxi-item>
        <dxi-item dataField="recStatus" [colSpan]="1"></dxi-item>
      </dxo-form>
    </dxo-editing>
    <dxo-header-filter [visible]="true"></dxo-header-filter>
    <dxo-filter-panel [visible]="true"></dxo-filter-panel>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxi-column type="buttons" [buttons]="['edit']" headerCellTemplate="editHeaderTemplate" [minWidth]="50"></dxi-column>
    <dxi-column dataField="vndrCd" caption="Vendor Code" dataType="string" [minWidth]="100"
                [allowHeaderFiltering]="false" [allowEditing]="allowEditVendorCode">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-column>
    <dxi-column dataField="vndrNme" caption="Vendor Name" dataType="string"
                [allowHeaderFiltering]="false" [minWidth]="150">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxi-validation-rule type="stringLength" [max]="50"
                           message="Vendor Name max characters is 50."></dxi-validation-rule>
    </dxi-column>
    <dxi-column dataField="ctryCd" caption="Country" [allowHeaderFiltering]="true" [minWidth]="150">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxo-lookup [dataSource]="countryList" valueExpr="ctryCd" displayExpr="ctryNme">
      </dxo-lookup>
    </dxi-column>
    <dxi-column dataField="recStatus" caption="Status" dataType="boolean"
                [allowHeaderFiltering]="false" [minWidth]="100"></dxi-column>
    <div *dxTemplate="let data of 'editHeaderTemplate'">
      <div>Edit</div>
    </div>
    <div *dxTemplate="let data of 'gridNote'">
      <div class="font-weight-light">
        <small>Only Vendor Codes with less than 5 characters can use this screen for update. </small>
      </div>
    </div>
  </dx-data-grid><br />

  <h6>Access City Name and Site Code</h6>
  <dx-data-grid #grid id="grid" [dataSource]="items" keyExpr="accsCtySiteId" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                (onSelectionChanged)="selectionChangedHandler($event)"
                (onEditingStart)="loadEditForm($event)"
                (onToolbarPreparing)="onToolbarPreparing($event)"
                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                (onRowInserting)="saveForm($event)" (onRowUpdating)="saveForm($event)">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxo-editing mode="form" [useIcons]="true" [allowUpdating]="true" [allowAdding]="true">
      <dxo-form>
        <dxi-item dataField="accsCtyNmeSiteCd" [colSpan]="1"></dxi-item>
      </dxo-form>
    </dxo-editing>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxi-column type="buttons" [buttons]="['edit']" headerCellTemplate="editHeaderTemplate" [minWidth]="50"></dxi-column>
    <dxi-column dataField="accsCtyNmeSiteCd" caption="Access City Name Site Code" dataType="string" [minWidth]="150">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxi-validation-rule type="stringLength" [max]="20"
                           message="Access City Name Site Code max characters is 20."></dxi-validation-rule>
    </dxi-column>
    <dxi-column dataField="creatDt" cellTemplate="localStartTime" caption="Created Date" dataType="string" [minWidth]="150"></dxi-column>
    <div *dxTemplate="let cell of 'localStartTime'">
      <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
    </div>
    <div *dxTemplate="let data of 'editHeaderTemplate'">
      <div>Edit</div>
    </div>
    <div *dxTemplate="let data of 'removeTemplate'">
      <button class="btn btn-sm btn-primary" type="button"
              [disabled]="!selectedItemKeys.length" (click)="deleteRows()">
        Remove Selected Records
      </button>
    </div>
  </dx-data-grid>
</div>
